#!/bin/sh
#set -x
pwd=`pwd`
i=0

echo ""
echo -n "> Enter target X11 (top) directory: "
read top

echo ""
echo "> Installing Sync sources into X11 source tree $top"
echo -n "> Continue ? (y,[n]) "
read yesno
if [ x$yesno != xy -a x$yesno != xY ]
then
	echo
	echo "  Aborting Sync Installation"
	exit
fi

if [ ! -d $top ]
then
	echo ""
	echo "  Error: $top isn't a directory"	
	exit
fi

if [ ! -d $top/extensions ]
then
	if [ ! -d $top/mit/extensions ]
	then
	echo ""
	echo "  Error: Couldn't find extensions subdirectory"
	exit
	else
	top=$top/mit
	fi
fi

if [ ! -w $top ]
then
	echo ""
	echo "  Error: Couldn't access $top"	
	exit
fi

cd $top
top=`pwd`
cd $pwd

i=1
if [ -s $top/SYNCINSTBAK ]
then
	i=`cat $top/SYNCINSTBAK`
	i=`expr $i + 1`
	rm -f $top/SYNCINSTBAK
fi
echo $i >> $top/SYNCINSTBAK
if [ $? -gt 0 ]
then
	echo ""
	echo "  Error: Couldn't create $top/SYNCINSTBAK"
	exit
fi
bak=syncbk$i

extensions=yes
server=yes

dec=yes
echo -n "> Install DEC specific files? ([y],n) "
read yesno
if [  x$yesno = xn -o x$yesno = xN ]
then
	dec=no
fi

if [ $extensions = yes ]
then
	. $pwd/install/extensions-sync.sh
	. $pwd/install/extensions-imakefile.sh
	. $pwd/install/lib-X.sh
fi

if [ $server = yes ]
then
	echo -n
	. $pwd/install/server-imakefile.sh
	. $pwd/install/ddx-mi.sh
	. $pwd/install/server-os.sh
fi

if [ $extensions = yes ]
then
	echo -n
	. $pwd/install/config-project.sh
fi

if [ $dec = yes -a $server = yes ]
then
	echo -n
	. $pwd/install/ddx-dec-ws.sh
fi


echo ""
echo "> Sync Installation Finished."
